Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc88::/16
First address
fc88::
Last address
fc88:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc88:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
8.8.c.f.ip6.arpa
Split into smaller subnets/28

fc88::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1fc88::/28fc88:f:ffff:ffff:ffff:ffff:ffff:ffff
2fc88:10::/28fc88:1f:ffff:ffff:ffff:ffff:ffff:ffff
3fc88:20::/28fc88:2f:ffff:ffff:ffff:ffff:ffff:ffff
4fc88:30::/28fc88:3f:ffff:ffff:ffff:ffff:ffff:ffff
5fc88:40::/28fc88:4f:ffff:ffff:ffff:ffff:ffff:ffff
6fc88:50::/28fc88:5f:ffff:ffff:ffff:ffff:ffff:ffff
7fc88:60::/28fc88:6f:ffff:ffff:ffff:ffff:ffff:ffff
8fc88:70::/28fc88:7f:ffff:ffff:ffff:ffff:ffff:ffff
9fc88:80::/28fc88:8f:ffff:ffff:ffff:ffff:ffff:ffff
10fc88:90::/28fc88:9f:ffff:ffff:ffff:ffff:ffff:ffff
11fc88:a0::/28fc88:af:ffff:ffff:ffff:ffff:ffff:ffff
12fc88:b0::/28fc88:bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc88:c0::/28fc88:cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc88:d0::/28fc88:df:ffff:ffff:ffff:ffff:ffff:ffff
15fc88:e0::/28fc88:ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc88:f0::/28fc88:ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc88:100::/28fc88:10f:ffff:ffff:ffff:ffff:ffff:ffff
18fc88:110::/28fc88:11f:ffff:ffff:ffff:ffff:ffff:ffff
19fc88:120::/28fc88:12f:ffff:ffff:ffff:ffff:ffff:ffff
20fc88:130::/28fc88:13f:ffff:ffff:ffff:ffff:ffff:ffff
21fc88:140::/28fc88:14f:ffff:ffff:ffff:ffff:ffff:ffff
22fc88:150::/28fc88:15f:ffff:ffff:ffff:ffff:ffff:ffff
23fc88:160::/28fc88:16f:ffff:ffff:ffff:ffff:ffff:ffff
24fc88:170::/28fc88:17f:ffff:ffff:ffff:ffff:ffff:ffff
25fc88:180::/28fc88:18f:ffff:ffff:ffff:ffff:ffff:ffff
26fc88:190::/28fc88:19f:ffff:ffff:ffff:ffff:ffff:ffff
27fc88:1a0::/28fc88:1af:ffff:ffff:ffff:ffff:ffff:ffff
28fc88:1b0::/28fc88:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc88:1c0::/28fc88:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc88:1d0::/28fc88:1df:ffff:ffff:ffff:ffff:ffff:ffff
31fc88:1e0::/28fc88:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc88:1f0::/28fc88:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc88:200::/28fc88:20f:ffff:ffff:ffff:ffff:ffff:ffff
34fc88:210::/28fc88:21f:ffff:ffff:ffff:ffff:ffff:ffff
35fc88:220::/28fc88:22f:ffff:ffff:ffff:ffff:ffff:ffff
36fc88:230::/28fc88:23f:ffff:ffff:ffff:ffff:ffff:ffff
37fc88:240::/28fc88:24f:ffff:ffff:ffff:ffff:ffff:ffff
38fc88:250::/28fc88:25f:ffff:ffff:ffff:ffff:ffff:ffff
39fc88:260::/28fc88:26f:ffff:ffff:ffff:ffff:ffff:ffff
40fc88:270::/28fc88:27f:ffff:ffff:ffff:ffff:ffff:ffff
41fc88:280::/28fc88:28f:ffff:ffff:ffff:ffff:ffff:ffff
42fc88:290::/28fc88:29f:ffff:ffff:ffff:ffff:ffff:ffff
43fc88:2a0::/28fc88:2af:ffff:ffff:ffff:ffff:ffff:ffff
44fc88:2b0::/28fc88:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc88:2c0::/28fc88:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc88:2d0::/28fc88:2df:ffff:ffff:ffff:ffff:ffff:ffff
47fc88:2e0::/28fc88:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc88:2f0::/28fc88:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc88:300::/28fc88:30f:ffff:ffff:ffff:ffff:ffff:ffff
50fc88:310::/28fc88:31f:ffff:ffff:ffff:ffff:ffff:ffff
51fc88:320::/28fc88:32f:ffff:ffff:ffff:ffff:ffff:ffff
52fc88:330::/28fc88:33f:ffff:ffff:ffff:ffff:ffff:ffff
53fc88:340::/28fc88:34f:ffff:ffff:ffff:ffff:ffff:ffff
54fc88:350::/28fc88:35f:ffff:ffff:ffff:ffff:ffff:ffff
55fc88:360::/28fc88:36f:ffff:ffff:ffff:ffff:ffff:ffff
56fc88:370::/28fc88:37f:ffff:ffff:ffff:ffff:ffff:ffff
57fc88:380::/28fc88:38f:ffff:ffff:ffff:ffff:ffff:ffff
58fc88:390::/28fc88:39f:ffff:ffff:ffff:ffff:ffff:ffff
59fc88:3a0::/28fc88:3af:ffff:ffff:ffff:ffff:ffff:ffff
60fc88:3b0::/28fc88:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc88:3c0::/28fc88:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc88:3d0::/28fc88:3df:ffff:ffff:ffff:ffff:ffff:ffff
63fc88:3e0::/28fc88:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc88:3f0::/28fc88:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc88:400::/28fc88:40f:ffff:ffff:ffff:ffff:ffff:ffff
66fc88:410::/28fc88:41f:ffff:ffff:ffff:ffff:ffff:ffff
67fc88:420::/28fc88:42f:ffff:ffff:ffff:ffff:ffff:ffff
68fc88:430::/28fc88:43f:ffff:ffff:ffff:ffff:ffff:ffff
69fc88:440::/28fc88:44f:ffff:ffff:ffff:ffff:ffff:ffff
70fc88:450::/28fc88:45f:ffff:ffff:ffff:ffff:ffff:ffff
71fc88:460::/28fc88:46f:ffff:ffff:ffff:ffff:ffff:ffff
72fc88:470::/28fc88:47f:ffff:ffff:ffff:ffff:ffff:ffff
73fc88:480::/28fc88:48f:ffff:ffff:ffff:ffff:ffff:ffff
74fc88:490::/28fc88:49f:ffff:ffff:ffff:ffff:ffff:ffff
75fc88:4a0::/28fc88:4af:ffff:ffff:ffff:ffff:ffff:ffff
76fc88:4b0::/28fc88:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc88:4c0::/28fc88:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc88:4d0::/28fc88:4df:ffff:ffff:ffff:ffff:ffff:ffff
79fc88:4e0::/28fc88:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc88:4f0::/28fc88:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc88:500::/28fc88:50f:ffff:ffff:ffff:ffff:ffff:ffff
82fc88:510::/28fc88:51f:ffff:ffff:ffff:ffff:ffff:ffff
83fc88:520::/28fc88:52f:ffff:ffff:ffff:ffff:ffff:ffff
84fc88:530::/28fc88:53f:ffff:ffff:ffff:ffff:ffff:ffff
85fc88:540::/28fc88:54f:ffff:ffff:ffff:ffff:ffff:ffff
86fc88:550::/28fc88:55f:ffff:ffff:ffff:ffff:ffff:ffff
87fc88:560::/28fc88:56f:ffff:ffff:ffff:ffff:ffff:ffff
88fc88:570::/28fc88:57f:ffff:ffff:ffff:ffff:ffff:ffff
89fc88:580::/28fc88:58f:ffff:ffff:ffff:ffff:ffff:ffff
90fc88:590::/28fc88:59f:ffff:ffff:ffff:ffff:ffff:ffff
91fc88:5a0::/28fc88:5af:ffff:ffff:ffff:ffff:ffff:ffff
92fc88:5b0::/28fc88:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc88:5c0::/28fc88:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc88:5d0::/28fc88:5df:ffff:ffff:ffff:ffff:ffff:ffff
95fc88:5e0::/28fc88:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc88:5f0::/28fc88:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc88:600::/28fc88:60f:ffff:ffff:ffff:ffff:ffff:ffff
98fc88:610::/28fc88:61f:ffff:ffff:ffff:ffff:ffff:ffff
99fc88:620::/28fc88:62f:ffff:ffff:ffff:ffff:ffff:ffff
100fc88:630::/28fc88:63f:ffff:ffff:ffff:ffff:ffff:ffff
101fc88:640::/28fc88:64f:ffff:ffff:ffff:ffff:ffff:ffff
102fc88:650::/28fc88:65f:ffff:ffff:ffff:ffff:ffff:ffff
103fc88:660::/28fc88:66f:ffff:ffff:ffff:ffff:ffff:ffff
104fc88:670::/28fc88:67f:ffff:ffff:ffff:ffff:ffff:ffff
105fc88:680::/28fc88:68f:ffff:ffff:ffff:ffff:ffff:ffff
106fc88:690::/28fc88:69f:ffff:ffff:ffff:ffff:ffff:ffff
107fc88:6a0::/28fc88:6af:ffff:ffff:ffff:ffff:ffff:ffff
108fc88:6b0::/28fc88:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc88:6c0::/28fc88:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc88:6d0::/28fc88:6df:ffff:ffff:ffff:ffff:ffff:ffff
111fc88:6e0::/28fc88:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc88:6f0::/28fc88:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc88:700::/28fc88:70f:ffff:ffff:ffff:ffff:ffff:ffff
114fc88:710::/28fc88:71f:ffff:ffff:ffff:ffff:ffff:ffff
115fc88:720::/28fc88:72f:ffff:ffff:ffff:ffff:ffff:ffff
116fc88:730::/28fc88:73f:ffff:ffff:ffff:ffff:ffff:ffff
117fc88:740::/28fc88:74f:ffff:ffff:ffff:ffff:ffff:ffff
118fc88:750::/28fc88:75f:ffff:ffff:ffff:ffff:ffff:ffff
119fc88:760::/28fc88:76f:ffff:ffff:ffff:ffff:ffff:ffff
120fc88:770::/28fc88:77f:ffff:ffff:ffff:ffff:ffff:ffff
121fc88:780::/28fc88:78f:ffff:ffff:ffff:ffff:ffff:ffff
122fc88:790::/28fc88:79f:ffff:ffff:ffff:ffff:ffff:ffff
123fc88:7a0::/28fc88:7af:ffff:ffff:ffff:ffff:ffff:ffff
124fc88:7b0::/28fc88:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc88:7c0::/28fc88:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc88:7d0::/28fc88:7df:ffff:ffff:ffff:ffff:ffff:ffff
127fc88:7e0::/28fc88:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc88:7f0::/28fc88:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc88:800::/28fc88:80f:ffff:ffff:ffff:ffff:ffff:ffff
130fc88:810::/28fc88:81f:ffff:ffff:ffff:ffff:ffff:ffff
131fc88:820::/28fc88:82f:ffff:ffff:ffff:ffff:ffff:ffff
132fc88:830::/28fc88:83f:ffff:ffff:ffff:ffff:ffff:ffff
133fc88:840::/28fc88:84f:ffff:ffff:ffff:ffff:ffff:ffff
134fc88:850::/28fc88:85f:ffff:ffff:ffff:ffff:ffff:ffff
135fc88:860::/28fc88:86f:ffff:ffff:ffff:ffff:ffff:ffff
136fc88:870::/28fc88:87f:ffff:ffff:ffff:ffff:ffff:ffff
137fc88:880::/28fc88:88f:ffff:ffff:ffff:ffff:ffff:ffff
138fc88:890::/28fc88:89f:ffff:ffff:ffff:ffff:ffff:ffff
139fc88:8a0::/28fc88:8af:ffff:ffff:ffff:ffff:ffff:ffff
140fc88:8b0::/28fc88:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc88:8c0::/28fc88:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc88:8d0::/28fc88:8df:ffff:ffff:ffff:ffff:ffff:ffff
143fc88:8e0::/28fc88:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc88:8f0::/28fc88:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc88:900::/28fc88:90f:ffff:ffff:ffff:ffff:ffff:ffff
146fc88:910::/28fc88:91f:ffff:ffff:ffff:ffff:ffff:ffff
147fc88:920::/28fc88:92f:ffff:ffff:ffff:ffff:ffff:ffff
148fc88:930::/28fc88:93f:ffff:ffff:ffff:ffff:ffff:ffff
149fc88:940::/28fc88:94f:ffff:ffff:ffff:ffff:ffff:ffff
150fc88:950::/28fc88:95f:ffff:ffff:ffff:ffff:ffff:ffff
151fc88:960::/28fc88:96f:ffff:ffff:ffff:ffff:ffff:ffff
152fc88:970::/28fc88:97f:ffff:ffff:ffff:ffff:ffff:ffff
153fc88:980::/28fc88:98f:ffff:ffff:ffff:ffff:ffff:ffff
154fc88:990::/28fc88:99f:ffff:ffff:ffff:ffff:ffff:ffff
155fc88:9a0::/28fc88:9af:ffff:ffff:ffff:ffff:ffff:ffff
156fc88:9b0::/28fc88:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc88:9c0::/28fc88:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc88:9d0::/28fc88:9df:ffff:ffff:ffff:ffff:ffff:ffff
159fc88:9e0::/28fc88:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc88:9f0::/28fc88:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc88:a00::/28fc88:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc88:a10::/28fc88:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc88:a20::/28fc88:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc88:a30::/28fc88:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc88:a40::/28fc88:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc88:a50::/28fc88:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc88:a60::/28fc88:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc88:a70::/28fc88:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc88:a80::/28fc88:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc88:a90::/28fc88:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc88:aa0::/28fc88:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc88:ab0::/28fc88:abf:ffff:ffff:ffff:ffff:ffff:ffff
173fc88:ac0::/28fc88:acf:ffff:ffff:ffff:ffff:ffff:ffff
174fc88:ad0::/28fc88:adf:ffff:ffff:ffff:ffff:ffff:ffff
175fc88:ae0::/28fc88:aef:ffff:ffff:ffff:ffff:ffff:ffff
176fc88:af0::/28fc88:aff:ffff:ffff:ffff:ffff:ffff:ffff
177fc88:b00::/28fc88:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc88:b10::/28fc88:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc88:b20::/28fc88:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc88:b30::/28fc88:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc88:b40::/28fc88:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc88:b50::/28fc88:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc88:b60::/28fc88:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc88:b70::/28fc88:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc88:b80::/28fc88:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc88:b90::/28fc88:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc88:ba0::/28fc88:baf:ffff:ffff:ffff:ffff:ffff:ffff
188fc88:bb0::/28fc88:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc88:bc0::/28fc88:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc88:bd0::/28fc88:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc88:be0::/28fc88:bef:ffff:ffff:ffff:ffff:ffff:ffff
192fc88:bf0::/28fc88:bff:ffff:ffff:ffff:ffff:ffff:ffff
193fc88:c00::/28fc88:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc88:c10::/28fc88:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc88:c20::/28fc88:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc88:c30::/28fc88:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc88:c40::/28fc88:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc88:c50::/28fc88:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc88:c60::/28fc88:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc88:c70::/28fc88:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc88:c80::/28fc88:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc88:c90::/28fc88:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc88:ca0::/28fc88:caf:ffff:ffff:ffff:ffff:ffff:ffff
204fc88:cb0::/28fc88:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc88:cc0::/28fc88:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc88:cd0::/28fc88:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc88:ce0::/28fc88:cef:ffff:ffff:ffff:ffff:ffff:ffff
208fc88:cf0::/28fc88:cff:ffff:ffff:ffff:ffff:ffff:ffff
209fc88:d00::/28fc88:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc88:d10::/28fc88:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc88:d20::/28fc88:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc88:d30::/28fc88:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc88:d40::/28fc88:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc88:d50::/28fc88:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc88:d60::/28fc88:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc88:d70::/28fc88:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc88:d80::/28fc88:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc88:d90::/28fc88:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc88:da0::/28fc88:daf:ffff:ffff:ffff:ffff:ffff:ffff
220fc88:db0::/28fc88:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc88:dc0::/28fc88:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc88:dd0::/28fc88:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc88:de0::/28fc88:def:ffff:ffff:ffff:ffff:ffff:ffff
224fc88:df0::/28fc88:dff:ffff:ffff:ffff:ffff:ffff:ffff
225fc88:e00::/28fc88:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc88:e10::/28fc88:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc88:e20::/28fc88:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc88:e30::/28fc88:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc88:e40::/28fc88:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc88:e50::/28fc88:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc88:e60::/28fc88:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc88:e70::/28fc88:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc88:e80::/28fc88:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc88:e90::/28fc88:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc88:ea0::/28fc88:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc88:eb0::/28fc88:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc88:ec0::/28fc88:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fc88:ed0::/28fc88:edf:ffff:ffff:ffff:ffff:ffff:ffff
239fc88:ee0::/28fc88:eef:ffff:ffff:ffff:ffff:ffff:ffff
240fc88:ef0::/28fc88:eff:ffff:ffff:ffff:ffff:ffff:ffff
241fc88:f00::/28fc88:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc88:f10::/28fc88:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc88:f20::/28fc88:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc88:f30::/28fc88:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc88:f40::/28fc88:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc88:f50::/28fc88:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc88:f60::/28fc88:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc88:f70::/28fc88:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc88:f80::/28fc88:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc88:f90::/28fc88:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc88:fa0::/28fc88:faf:ffff:ffff:ffff:ffff:ffff:ffff
252fc88:fb0::/28fc88:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc88:fc0::/28fc88:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc88:fd0::/28fc88:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc88:fe0::/28fc88:fef:ffff:ffff:ffff:ffff:ffff:ffff
256fc88:ff0::/28fc88:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses